import java.lang.String;

/**
 * A class providing the alphabet for the letters stored in 
 * a <code>Trie</code>.
 * * DON'T CHANGE THIS CLASS!
 * Copyright: Renqiang Min
 */
public class Alphabet {

  /** The letter sequence in the alphabet. */
  private String s;
 

  /**
   * Precondtion: each letter appears ONLY ONCE in <code>s</code>.
   * Create an <code>Alphabet</code> containing <code>s</code>.
   * @param s The letter sequence to be stored.
   */
  public Alphabet(String s) {
    this.s = s; 
  }

  /**
   * Return the size of alphabet
   * @return the size of the alphabet.
   */
  public int size() {
    return s.length(); 
  }
  
  /**
   * Precondition: i is smaller than the size of the alphabet!
   * @param i the index of the character
   * @return the character at the i-th position in the alphabet.
   */
  public char getLetter(int i) {
    return s.charAt(i); 
  }
 
 /**
  * Return the index of a letter in the alphabet
  * @param ch the character to look for
  * @return the position of the character in the alphabet.
  */
  public int getIndex(char ch) {
    return s.indexOf(ch); 
  }  

}
