/**
 *  An internal node in a <code>Trie</code>.
 *  DON'T CHANGE THIS CLASS!
 *  Copyright: Renqiang Min/Hojjat Ghaderi
 *  Last Modified: Hojjat Ghaderi, July 16
 */
public class InternalNode extends TrieNode {
  /**  array containing the list of children. */
  private TrieNode[] children;
  
  /**
   * Create a <code>InternalNode</code> containing
   * <code>n</code> children.
   * @param n the number of children in the node.
   */
  public InternalNode(int n) {
    children = new TrieNode[n];
    for (int i = 0; i < n; i ++) {
      children[i] = null;
    }   
  }
  
  /**
   * Precondtion:  i is a valid index
   * @param i The input index.
   * @return the <code>i</code>-th child of the 
   * <code>InternalNode</code>.
   */
  public TrieNode getChild(int i) {
    return children[i];
  }
  /**
   * Precondtion:  i is a valid index
   * Set the value of <code>i</code>-th child in the 
   * the <code>InternalNode</code>.
   * @param i The child index.
   * @param node The value to be set.
   */  
  public void setChild(int i, TrieNode node) {
    children[i] = node;
  }
}
