/**
 * A leaf node in a <code>Trie</code>.
 * * DON'T CHANGE THIS CLASS!
 *  Copyright Renqiang Min/Hojjat Ghaderi
 */
public class LeafNode extends TrieNode {
   
  /** The kmer and its number of occurrence. */ 
  private int count;  
  private String kmer; //the Kmer this leaf represent
 

  /**
   * Create a <code>LeafNode</code>.
   * @param kmer the kmer the leaf represents
   */
  public LeafNode(String kmer) {
    count = 1;
    this.kmer = kmer;
  }
  
  /**
   * Get the value of the count in the node.
   * @return the count in <code>LeafNode</code>.
   */
  public int getCount() {
    return count;
  } 
  
  /**
   * Increase the value of the count in the node by 1.
   */ 
  public void incCount() {
    count = count + 1;
  }

   /**
   * Set the value of the count in the node to the given value.
   * @param val The value of the leaf to be set.
   */ 
  public void setCount(int val) {
    count = val;
  }

  /**
   * Get the Kmer stored in the node.
   * @return The Kmer in <code>LeafNode</code>.
   */
  public String getKmer() {
    return kmer;
  }
  
}
